<?php class controller_block_questions_modal extends block {
	protected $errors = array();
	function action_index($block) {
		// core::print_r($block);
		//собираем ошибки
		if(isset($_POST['send_modal'])){
			if(empty($_POST['email_modal']) OR empty($_POST['question_text_modal'])){
				$this->errors[] = 'Нужно заполнить все поля';
			}
			if(preg_match('/(\w+@[a-zA-Z_]+?\.[a-zA-Z]{2,16})/', $_POST['email_modal']) == 0){
				$this->errors[] = 'Неверный формат email адреса';
			}
		}
		$this->data['errors'] = $this->errors;//передаем ошибки виюхе

		//если ошибок нету производим запись данных и БД
		if(isset($_POST['send_modal']) && count($this->errors) == 0){
			// $this->model->insert_question(strip_tags($_POST['question_text']), date('Y-m-d'), trim(strip_tags($_POST['email'])))
			$this->dbh->exec("
				INSERT INTO questions (`question`, `date`, `email`) VALUES 
				('" . strip_tags($_POST['question_text_modal']) . "', 
				'" . date('Y-m-d') . "', 
				'" . strip_tags($_POST['email_modal']) . "')"
			);
		}
		$this->data['delay'] = $block['params'];//задержка окна передается из параметров

		//стили для окон error_modal и success_modal для модального окна
		$this->page['head'] .= "<style>.success_modal {margin: 10px 0; padding: 20px; background: #82ED99;border: 1px solid green;}\n.error_modal {margin: 10px 0; padding: 20px 20px 10px; background: #ED8282;border: 1px solid red;}</style>";
		//подключение скрипта js и библитеки jquery cookie
		$this->page['head'] .= $this->add_js_file(SITE_URL . '/modules/blocks/questions_modal/questions_modal.js');
		$this->page['head'] .= $this->add_js_file(SITE_URL . '/modules/blocks/questions_modal/jquery.cookie.js');
		$this->page['html'] = $this->load_view();
		return $this->page;
	}
	function action_settings(){
		// core::print_r($this);
		//Запись единственного парамера модуля - длина задержки в секундах
		if (isset($_POST['edit_settings'])){
			$this->dbh->exec("UPDATE activated_modules SET params='" . $_POST['modal_settings'] . "' WHERE module_dir='questions_modal' ");
		}
		$this->page['html'] = $this->load_view('settings');
		return $this->page;		
	}
	public function action_activate() {
		// core::print_r($this);
		//при активации тоже задаем параметр
		if (isset($_POST['activate'])) {
			$this->page['params'] = $_POST['modal_settings'];
		}
		$this->page['html'] = $this->load_view('settings');
		return $this->page;
	}

}
